Bug 1575997 - [abrt] vimiv: font_cache_get(): python3.6 killed by SIGSEGV
Summary: [abrt] vimiv: font_cache_get(): python3.6 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vimiv
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fbfcad333f66c7df0fc91e393b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 13:50 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-05-28 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:08:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (738.23 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (227 bytes, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (156.11 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (13.53 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (11.73 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: maps (66.63 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.97 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (1.20 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-08 13:51 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2018-05-08 13:50:59 UTC
Description of problem:
I think this happens each time vimiv is run when the DISPLAY environment variable is not set. On Wayland here.

Version-Release number of selected component:
vimiv-0.9.1-6.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/python3 -s /usr/bin/vimiv --start-from-desktop /home/asinha/gnome-software-third-party-repos.png
crash_function: font_cache_get
executable:     /usr/bin/python3.6
journald_cursor: s=14326aefa44342edb1e41e545a13dfd1;i=54a595;b=2062128e6c4d4b1382418efe8de277c8;m=105de4bfca2;t=56bb1b879c25d;x=3ad0c921e99c3bc7
kernel:         4.16.3-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 font_cache_get at ../pango/pango-context.c:668
 #1 get_shaper_and_font at ../pango/pango-context.c:1276
 #2 itemize_state_process_run at ../pango/pango-context.c:1474
 #3 pango_itemize_with_base_dir at ../pango/pango-context.c:1583
 #4 pango_layout_check_lines at ../pango/pango-layout.c:3953
 #5 pango_layout_get_extents_internal at ../pango/pango-layout.c:2536
 #6 pango_layout_get_extents at ../pango/pango-layout.c:2735
 #7 _pango_cairo_font_get_metrics at ../pango/pangocairo-font.c:313
 #8 get_first_metrics_foreach at ../pango/pango-context.c:1667
 #9 pango_fc_fontset_foreach at ../pango/pangofc-fontmap.c:1068

Comment 1 Ankur Sinha (FranciscoD) 2018-05-08 13:51:04 UTC
Created attachment 1433221 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2018-05-08 13:51:05 UTC
Created attachment 1433222 [details]
File: cgroup

Comment 3 Ankur Sinha (FranciscoD) 2018-05-08 13:51:07 UTC
Created attachment 1433223 [details]
File: core_backtrace

Comment 4 Ankur Sinha (FranciscoD) 2018-05-08 13:51:08 UTC
Created attachment 1433224 [details]
File: cpuinfo

Comment 5 Ankur Sinha (FranciscoD) 2018-05-08 13:51:09 UTC
Created attachment 1433225 [details]
File: dso_list

Comment 6 Ankur Sinha (FranciscoD) 2018-05-08 13:51:11 UTC
Created attachment 1433226 [details]
File: environ

Comment 7 Ankur Sinha (FranciscoD) 2018-05-08 13:51:12 UTC
Created attachment 1433227 [details]
File: exploitable

Comment 8 Ankur Sinha (FranciscoD) 2018-05-08 13:51:13 UTC
Created attachment 1433228 [details]
File: limits

Comment 9 Ankur Sinha (FranciscoD) 2018-05-08 13:51:15 UTC
Created attachment 1433229 [details]
File: maps

Comment 10 Ankur Sinha (FranciscoD) 2018-05-08 13:51:16 UTC
Created attachment 1433230 [details]
File: mountinfo

Comment 11 Ankur Sinha (FranciscoD) 2018-05-08 13:51:17 UTC
Created attachment 1433231 [details]
File: open_fds

Comment 12 Ankur Sinha (FranciscoD) 2018-05-08 13:51:18 UTC
Created attachment 1433232 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 19:18:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-02 21:49:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:08:36 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.